// pages/payResult/payResult.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    nozzleId:-1
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.setData({
      nozzleId:options.nozzle
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },

  /** 查看更多订单 */
  toMoreOrder(){
    const that = this;
    wx.navigateTo({
      url: '../moreOrder/moreOrder?nozzle=' + this.data.nozzleId,
      events: {
        acceptOrderFromMoreOrder: function (data) {
          console.log("【支付结果页】获取到传送过来的订单", data)
          that.setData({
            order: data
          })
          const eventChannel = that.getOpenerEventChannel()
          eventChannel.emit('acceptOrderFromPayResult', data);
          wx.navigateBack()
        }
      }
    })
  },

  /** 查看订单 */
  toHistoryOrder() {
    wx.redirectTo({
      url: '../historyOrder/historyOrder?paymentMode='+0,
    })
  },
  /** 完成 */
  finish() {
    wx.redirectTo({
      url: '../scan/scan',
    })
  }
})